curl --request POST \
--url https://api.tagada.io/api/public/v1/offers/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"storeId": "store_123",
"offerTitle": "VIP Upgrade",
"enabled": true,
"type": "upsell",
"triggers": [
{
"type": "any",
"productId": null
}
],
"offers": [
{
"productId": "prod_123",
"variantId": "var_123",
"priceId": "price_123",
"title": "Upgrade to VIP",
"titleTrans": {
"en": "Upgrade to VIP"
}
}
],
"orderBumpOffers": []
}
'{
"id": "upsell_new123"
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}offers
Create offer
Create a new upsell offer or order bump for a store.
POST
/
api
/
public
/
v1
/
offers
/
create
curl --request POST \
--url https://api.tagada.io/api/public/v1/offers/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"storeId": "store_123",
"offerTitle": "VIP Upgrade",
"enabled": true,
"type": "upsell",
"triggers": [
{
"type": "any",
"productId": null
}
],
"offers": [
{
"productId": "prod_123",
"variantId": "var_123",
"priceId": "price_123",
"title": "Upgrade to VIP",
"titleTrans": {
"en": "Upgrade to VIP"
}
}
],
"orderBumpOffers": []
}
'{
"id": "upsell_new123"
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Authorizations
Enter your API key as: Bearer your-api-key
Body
application/json
Response
Successful response
